import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/BranchJoin/index',
    method: 'get',
    params: query
  })
}

export function fetchBranchJoin(id) {
  return request({
    url: '/BranchJoin/read',
    method: 'get',
    params: { id }
  })
}

export function createBanner(data) {
  return request({
    url: '/Carousel/save',
    method: 'post',
    data
  })
}

export function updateBranchJoin(data) {
  return request({
    url: '/BranchJoin/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function dealBranchJoin(data) {
  return request({
    url: '/BranchJoin/dealBranchJoin',
    method: 'post',
    data
  })
}

export function deleteBranchJoin(id) {
  return request({
    url: '/BranchJoin/delete?id=' + id,
    method: 'get'
  })
}
